/*
 * Copyright 2013 Ben Manes. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.github.benmanes.gradle.flyway.task

import com.googlecode.flyway.core.Flyway
import org.gradle.api.tasks.TaskAction

/**
 * @author Ben Manes (ben.manes@gmail.com)
 */
class FlywayInitTask extends AbstractFlywayTask {

  FlywayInitTask() {
    description = 'Creates and initializes the metadata table in the schema.'
  }

  @TaskAction
  def info() {
    def flyway = create()
    flyway.init()
  }
}
